# QTemporaryFile Class Reference

### [com.trolltech.qt.core package]

Inherits QFile.

### Constructor

- void QTemporaryFile()
- void QTemporaryFile(QObject parent)
- void QTemporaryFile(String templateName)
- void QTemporaryFile(String templateName, QObject parent)

### Constructor Properties

- prototype: The QTemporaryFile prototype object
- QTemporaryFile createLocalFile(QFile file)

### Prototype Object Properties

The QTemporaryFile prototype object inherits properties from the QFile prototype object and also has the following properties.

- bool autoRemove()
- String fileTemplate()
- bool open()
- void setAutoRemove(bool b)
- void setFileTemplate(String name)
- String uniqueFilename()

### Instance Properties

QTemporaryFile objects have no special properties beyond those inherited from the QTemporaryFile prototype object.